Skip to main content
GET
https://checkout.dintero.com/v1
/
admin
/
api-keys
admin_api_keys_get
curl --request GET \
  --url https://checkout.dintero.com/v1/admin/api-keys \
  --header 'x-api-key: <api-key>'
[
  {
    "name": "<string>",
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "deleted_by": "<string>",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing admin endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Query Parameters

include_deleted
boolean
default:false

include deleted api-keys in the response

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
starting_after
string<checkout-id>

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Response

api keys

name
string
required
id
string

An ID that uniquely identifies the resource

created_at
string<date-time>

The date-time when the resource was created

updated_at
string<date-time>
expires_at
string<date-time>
deleted_by
string
deleted_at
string<date-time>
Last modified on May 12, 2026